﻿using System.Collections.Generic;
using MongoDB.Bson.Serialization.Attributes;

namespace MongoSamples.Model
{
    /// <summary>
    /// Represents an image document in the "images" collection
    /// of the "gallery" database.
    /// </summary>
    class Image
    {
        public int Id { get; set; }

        [BsonElement("height")]
        public int Height { get; set; }

        [BsonElement("width")]
        public int Width { get; set; }

        [BsonElement("tags")]
        public List<string> Tags { get; set; }
    }
}
